{"openapi":"3.0.0","info":{"version":"1","title":"1000 True Fans","description":""},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/Isuru731/1000TrueFansAPI/1"},{"description":"SwaggerHub API Auto Mocking","url":"https://www.google.com/url?q=https://57gnzuzgpc.execute-api.us-east-1.amazonaws.com/Prod/api/v1"}],"tags":[{"name":"user","description":"Everything about the user"},{"name":"admin","description":"Everything about the admin"},{"name":"appInfo","description":"Get application information"},{"name":"post","description":"Operations on posts"},{"name":"chat","description":"Everything about chat"},{"name":"store","description":"Everything about the store"}],"paths":{"/posts":{"get":{"tags":["post"],"summary":"Get a list of posts","description":"Returns an array of posts for display in the homefeed","operationId":"getPosts","parameters":[{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of posts in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first post in home feed"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last post in home feed"}],"responses":{"200":{"description":"list of posts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostsArrayResponse"}}}},"501":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}},"security":[{"api_key":[]}]}},"/posts/{postId}":{"get":{"tags":["post"],"summary":"Find a post by ID","description":"Returns a single post","operationId":"getPostById","parameters":[{"$ref":"#/components/parameters/postId"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostResponse"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Post not found","content":{}}},"security":[{"api_key":[]}]}},"/posts/{postId}/likes":{"get":{"tags":["post"],"summary":"Returns a list of likes of a given post","description":"placeHolder","operationId":"getLikes","parameters":[{"$ref":"#/components/parameters/postId"},{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of likes in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first like in the page"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last like in the page"}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LikesResponse"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Resource not found","content":{}}}},"put":{"tags":["post"],"summary":"Likes or dislikes a given post","description":"placeHolder","operationId":"postLikes","parameters":[{"$ref":"#/components/parameters/postId"}],"requestBody":{"description":"Liked/Unliked status for the post","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LikedStatusRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostResponse"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Resource not found","content":{}}}}},"/posts/{postId}/comments":{"get":{"tags":["post"],"summary":"Returns a list of comments of a given post","description":"placeHolder","operationId":"getComments","parameters":[{"$ref":"#/components/parameters/postId"},{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of comments in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first cemment in the page"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last comment in the page"}],"responses":{"200":{"description":"list of comments","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Comments"}}}}},"400":{"description":"Invalid ID supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"501":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}},"post":{"tags":["post"],"summary":"Add a new comment to a post","description":"placeHolder","operationId":"postComments","parameters":[{"$ref":"#/components/parameters/postId"}],"requestBody":{"description":"Comment object","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Comments"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Resource not found","content":{}}}}},"/posts/{postId}/notifications":{"put":{"tags":["post"],"summary":"trun on notifications for a given post","description":"placeHolder","operationId":"postNotificationStatus","parameters":[{"$ref":"#/components/parameters/postId"}],"requestBody":{"description":"Notification on or off status of the post","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationStatusRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}},"400":{"description":"Invalid ID supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users/{userId}":{"get":{"tags":["user"],"summary":"get a user object","description":"placeHolder","operationId":"getUser","parameters":[{"$ref":"#/components/parameters/userId"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}},"put":{"tags":["user"],"summary":"Update a user","description":"placeHolder","operationId":"updateUser","parameters":[{"$ref":"#/components/parameters/userId"}],"requestBody":{"description":"User details to be updated","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegister"}}}},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"204":{"description":"No Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users":{"post":{"tags":["user"],"summary":"Register a new user","description":"placeHolder","operationId":"postUser","requestBody":{"description":"Register a new user using the data from Profile Setup","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegister"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users/{userId}/login":{"post":{"tags":["user"],"summary":"Send the device token of the user","description":"Send the deviceToken of the user to the db at login.","operationId":"postUserDeviceToken","parameters":[{"$ref":"#/components/parameters/userId"}],"requestBody":{"description":"Send the user deviceToken to user object.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTokenRequest"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users/{userId}/logout":{"post":{"tags":["user"],"summary":"Delete the device token of the user","description":"Send the deviceToken and delete it for the user from the db.","operationId":"deleteUserDeviceToken","parameters":[{"$ref":"#/components/parameters/userId"}],"requestBody":{"description":"Send the user deviceToken to user object to delete.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTokenRequest"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users/{userId}/deviceTokenUpdate":{"put":{"tags":["user"],"summary":"Update the device token of the user.","description":"Whenever there's an change of user deviceToken, update the change in the db.","operationId":"putUserDeviceToken","parameters":[{"$ref":"#/components/parameters/userId"}],"requestBody":{"description":"Send the user deviceToken to user object.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTokenRequest"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/users/{userId}/notifications":{"get":{"tags":["user"],"summary":"Get the notifications by user id","description":"Get the notifications for the user given by id, grouped 'today','yesterday','other'","operationId":"getNotifications","parameters":[{"$ref":"#/components/parameters/userId"},{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of notifications in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first notification"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last notification"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/app":{"get":{"tags":["appInfo"],"summary":"Get the app version","description":"Send the app version & os version to check whether there is an existing update & if it is a major update go to a strict update, if it is a minor update continue with the login process.","operationId":"getAppVersion","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/chat/admin":{"get":{"tags":["chat"],"summary":"get the chat with the admin","description":"placeHolder","operationId":"getChat","parameters":[{"in":"path","name":"chatId","schema":{"type":"string"},"required":true,"description":"The chat id"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Chat"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/chat/{chatId}/messages":{"delete":{"tags":["chat"],"summary":"Delete the chat with the admin","description":"placeHolder","operationId":"deleteChat","parameters":[{"in":"path","name":"chatId","schema":{"type":"string"},"required":true,"description":"The chat id"}],"responses":{"204":{"description":"No Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}},"put":{"tags":["chat"],"summary":"Put a new message to the chat with the admin","description":"placeHolder","operationId":"putChat","parameters":[{"in":"path","name":"chatId","schema":{"type":"string"},"required":true,"description":"The chat id"}],"requestBody":{"description":"Message object to send","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequest"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/store/music":{"get":{"tags":["store"],"summary":"Get a list of music items to show in store tab view","description":"Gets a list of store items. If query parameters are present, returns the accordingly categorized store items list.","operationId":"getMusic","parameters":[{"in":"query","name":"maxPageSize","schema":{"type":"boolean"},"required":false,"description":"Maximum number of items returned from any category (list category contains the maximum number almost everytime)"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusicAndVideoStoreTabResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/store/music/search":{"get":{"tags":["store"],"summary":"Get a list of music items to search within","description":"Placeholder","operationId":"getMusicSearch","parameters":[{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of items in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first item in page"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last item in page"},{"in":"query","name":"search","schema":{"type":"string"},"required":false,"description":"Search keywords"},{"in":"query","name":"sortBy","schema":{"type":"string"},"required":false,"description":"Sort by \"priceAscending \", \"priceDescending\", \"dateAscending\", \"dateDescending\" \"nameAscending\", \"nameDescending\""}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusicAndVideoItemListResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/store/music/{musicId}":{"get":{"tags":["store"],"summary":"Get a music items","description":"placeHolder","operationId":"getMusicItem","parameters":[{"in":"path","name":"musicId","schema":{"type":"integer"},"required":true,"description":"Id of the music item"},{"in":"query","name":"pageSize","schema":{"type":"integer"},"required":false,"description":"Number of items in a page"},{"in":"query","name":"endBefore","schema":{"type":"string"},"required":false,"description":"Id of the first item in page"},{"in":"query","name":"startAfter","schema":{"type":"string"},"required":false,"description":"Id of the last item in page"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusicAndVideoItemResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/store/music/{musicId}/likes":{"put":{"tags":["store"],"summary":"Like an item in store","description":"placeHolder","operationId":"putLikeStoreMusic","parameters":[{"in":"path","name":"musicId","schema":{"type":"string"},"required":true,"description":"Id of tthe store item"}],"requestBody":{"description":"Liked unliked status of the music item","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreItemLikedStatusRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusicAndVideoItemResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/store/music/{musicId}/playnow":{"get":{"tags":["store"],"summary":"Get the info of purchased store item to view and play","description":"placeHolder","operationId":"getPlaynow","parameters":[{"in":"path","name":"musicId","schema":{"type":"string"},"required":true,"description":"Id of tthe store item"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusicAndVideoItemResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/cart/user/{userId}":{"get":{"tags":["store"],"summary":"Get the cart of the given user","description":"placeHolder","operationId":"getCart","parameters":[{"in":"path","name":"userId","schema":{"type":"integer"},"required":true,"description":"Id of tthe user"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}},"put":{"tags":["store"],"summary":"Update the cart of the given user","description":"placeHolder","operationId":"putCart","parameters":[{"in":"path","name":"userId","schema":{"type":"integer"},"required":true,"description":"Id of tthe user"}],"requestBody":{"description":"Details of the cart items needed to be updated in the cart","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartUpdateRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartResponse"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Resource not found","content":{}}}}},"/orders":{"post":{"tags":["store"],"summary":"Create a new order","description":"placeHolder","operationId":"postOrder","requestBody":{"description":"Details for creating a new order","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCreateRequest"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/orders/{orderId}":{"get":{"tags":["store"],"summary":"Get the order of the given id","description":"placeHolder","operationId":"getOrder","parameters":[{"in":"path","name":"orderId","schema":{"type":"integer"},"required":true,"description":"Id of tthe order"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}},"put":{"tags":["store"],"summary":"Update the cart of the given user","description":"placeHolder","operationId":"putOrder","parameters":[{"in":"path","name":"orderId","schema":{"type":"integer"},"required":true,"description":"Id of tthe user"}],"requestBody":{"description":"Details of the cart items needed to be updated in the cart","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderUpdateRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"400":{"description":"Invalid ID supplied","content":{}},"404":{"description":"Resource not found","content":{}}}}},"/userStoreItems/myMusic":{"get":{"tags":["store"],"summary":"Get a list of music items that user have purchased","description":"placeholder","operationId":"getMyMusic","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MyMusicItemResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}},"/userStoreItems/myTickets":{"get":{"tags":["store"],"summary":"Get a list of music items that user have purchased","description":"placeholder","operationId":"getMyTickets","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MyTicketsItemResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}}}}}},"components":{"schemas":{"User":{"type":"object","properties":{"id":{"type":"string"},"bio":{"type":"string"},"thumbnail":{"type":"string"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"gender":{"type":"string"},"birthday":{"type":"string","format":"date"},"mobile":{"type":"string"},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"comments":{"type":"integer"},"purchases":{"type":"integer"}}}}},"UserRegister":{"type":"object","properties":{"id":{"type":"string"},"deviceToken":{"type":"string"},"bio":{"type":"string"},"thumbnail":{"type":"string"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"gender":{"type":"string"},"birthday":{"type":"string","format":"date"},"mobile":{"type":"string"}}},"UserResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"id":{"type":"string"},"bio":{"type":"string"},"thumbnail":{"type":"string"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"gender":{"type":"string"},"birthday":{"type":"string","format":"date"},"mobile":{"type":"string"},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"comments":{"type":"integer"},"purchases":{"type":"integer"}}}}}}},"SimplifiedUser":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"thumbnail":{"type":"string"}}},"DeviceTokenRequest":{"type":"object","properties":{"deviceToken":{"type":"string"}}},"NotificationStatusRequest":{"type":"object","properties":{"notificationStatus":{"type":"boolean"}}},"Notifications":{"type":"object","properties":{"id":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"hasMorePages":{"type":"boolean"},"Sender":{"type":"object","properties":{"senderId":{"type":"string"},"senderName":{"type":"string"},"senderThumbnail":{"type":"string"}}}}},"NotificationResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/Notifications"}}}}},"Post":{"type":"object","properties":{"id":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"modifiedDate":{"type":"string","format":"date-time"},"description":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"multimedia":{"type":"object","properties":{"images":{"type":"array","items":{"type":"string"}},"video":{"type":"string"}}},"author":{"type":"object","properties":{"Id":{"type":"string"},"name":{"type":"string"},"thumbnail":{"type":"string"}}},"location":{"type":"object","properties":{"name":{"type":"string"},"country":{"type":"string"}}},"myActions":{"type":"object","properties":{"notifications":{"type":"boolean"},"favorite":{"type":"boolean"},"liked":{"type":"boolean"},"commented":{"type":"boolean"}}},"stats":{"type":"object","properties":{"likes":{"type":"number"},"comments":{"type":"number"}}}}},"PostResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/Post"}}},"PostsArrayResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"postsArray":{"type":"array","items":{"$ref":"#/components/schemas/Post"}}}}}},"StoreItem":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"description":{"type":"string"},"createdDate":{"type":"string","format":"date"},"ModifiedDate":{"type":"string","format":"date"},"duration":{"type":"string"},"size":{"type":"string"},"isTrending":{"type":"boolean"},"isPopular":{"type":"boolean"},"isActive":{"type":"boolean"},"isLive":{"type":"boolean"},"dateAvailable":{"type":"string","format":"date-time"},"timeAvailable":{"type":"string","format":"date-time"},"preview":{"type":"object","properties":{"urls":{"type":"array","items":{"type":"string"}}}},"price":{"type":"object","properties":{"currency":{"type":"string"},"amount":{"type":"string"}}},"creator":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumb":{"type":"string"}}},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"plays":{"type":"integer"},"purchases":{"type":"integer"},"downloads":{"type":"integer"}}},"myActions":{"type":"object","properties":{"liked":{"type":"boolean"},"purchased":{"type":"boolean"},"inCart":{"type":"boolean"}}},"cart":{"type":"object","properties":{"count":{"type":"integer"}}},"packages":{"type":"array","items":{"type":"object","properties":{"standard":{"type":"object"},"gold":{"type":"object"},"platinum":{"type":"object"}}}},"additionalNotes":{"type":"string"},"participants":{"type":"object","properties":{"totalSlots":{"type":"integer"},"purchasedSlots":{"type":"integer"},"users":{"type":"array","items":{"type":"object"}}}}}},"MusicAndVideoItem":{"type":"object","properties":{"id":{"type":"string"},"creatorId":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"description":{"type":"string"},"duration":{"type":"string"},"createdDate":{"type":"string","format":"date"},"modifiedDate":{"type":"string","format":"date"},"isTrending":{"type":"boolean"},"isPopular":{"type":"boolean"},"preview":{"type":"object","properties":{"urls":{"type":"array","items":{"type":"string"}}}},"price":{"type":"object","properties":{"currency":{"type":"string"},"amount":{"type":"string"}}},"producer":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumbnail":{"type":"string"}}},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"plays":{"type":"integer"},"purchases":{"type":"integer"},"downloads":{"type":"integer"}}},"myActions":{"type":"object","properties":{"liked":{"type":"boolean"},"alreadyPurchased":{"type":"boolean"},"alreadyInCart":{"type":"boolean"}}},"cart":{"type":"object","properties":{"count":{"type":"integer"}}}}},"MusicAndVideoItemListResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"music":{"type":"array","items":{"$ref":"#/components/schemas/MusicAndVideoItem"}}}}}},"MusicAndVideoItemResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/MusicAndVideoItem"}}},"MusicAndVideoStoreTab":{"type":"object","properties":{"trending":{"type":"array","items":{"$ref":"#/components/schemas/MusicAndVideoItem"}},"popular":{"type":"array","items":{"$ref":"#/components/schemas/MusicAndVideoItem"}},"list":{"type":"array","items":{"$ref":"#/components/schemas/MusicAndVideoItem"}}}},"MusicAndVideoStoreTabResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/MusicAndVideoStoreTab"}}},"MusicAndVideoItemPlayNowResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/MusicAndVideoItemPlayNow"}}},"MusicAndVideoItemPlayNow":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"liked":{"type":"boolean"},"urls":{"type":"array","items":{"type":"string"}}}},"ShowItem":{"type":"object","properties":{"id":{"type":"string"},"creatorId":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"description":{"type":"string"},"createdDate":{"type":"string","format":"date"},"ModifiedDate":{"type":"string","format":"date"},"isActive":{"type":"boolean"},"isPopular":{"type":"boolean"},"dateAvailable":{"type":"string","format":"date-time"},"additionalNotes":{"type":"string"},"producer":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumbnail":{"type":"string"}}},"location":{"type":"object","properties":{"name":{"type":"string"},"country":{"type":"string"}}},"packages":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"availableTickets":{"type":"integer"},"totalTickets":{"type":"integer"},"colorCode":{"type":"string"},"price":{"type":"object","properties":{"currency":{"type":"string"},"amount":{"type":"integer"}}}}}},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"purchases":{"type":"integer"}}},"myActions":{"type":"object","properties":{"liked":{"type":"boolean"},"alreadyPurchased":{"type":"boolean"},"alreadyInCart":{"type":"boolean"}}},"cart":{"type":"object","properties":{"count":{"type":"integer"}}}}},"LiveroomItem":{"type":"object","properties":{"id":{"type":"string"},"creatorId":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"description":{"type":"string"},"additionalNotes":{"type":"string"},"createdDate":{"type":"string","format":"date"},"ModifiedDate":{"type":"string","format":"date"},"isLive":{"type":"boolean"},"timeAvailable":{"type":"string","format":"date-time"},"producer":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumbnail":{"type":"string"}}},"participants":{"type":"object","properties":{"totalSlots":{"type":"integer"},"purchasedSlots":{"type":"integer"},"userCount":{"type":"integer"},"users":{"type":"array","items":{"type":"object"}}}},"price":{"type":"object","properties":{"currency":{"type":"string"},"amount":{"type":"string"}}},"stats":{"type":"object","properties":{"likes":{"type":"integer"},"availabaleSlots":{"type":"integer"}}},"myActions":{"type":"object","properties":{"liked":{"type":"boolean"},"alreadypurchased":{"type":"boolean"},"alreadyInCart":{"type":"boolean"}}},"cart":{"type":"object","properties":{"count":{"type":"integer"}}}}},"SimplifiedItem":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"price":{"type":"object","properties":{"currency":{"type":"string"},"amount":{"type":"string"}}}}},"StoreItemLikedStatusRequest":{"type":"object","properties":{"storeItemId":{"type":"string"},"liked":{"type":"boolean"}}},"MyMusicItem":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"producer":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumbnail":{"type":"string"}}}}},"MyTicketsItem":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"title":{"type":"string"},"thumbnail":{"type":"string"},"thumbnail3x4":{"type":"string"},"thumbnail6x9":{"type":"string"},"dateAvailable":{"type":"string"},"totalSeats":{"type":"object","additionalProperties":{"type":"object","properties":{"packageName":{"type":"integer"},"count":{"type":"string"}}}},"producer":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"thumbnail":{"type":"string"}}}}},"MyMusicItemResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"myMusic":{"type":"array","items":{"$ref":"#/components/schemas/MyMusicItem"}}}}}},"MyTicketsItemResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"upcoming":{"type":"array","items":{"$ref":"#/components/schemas/MyTicketsItem"}},"pastShows":{"type":"array","items":{"$ref":"#/components/schemas/MyTicketsItem"}}}}}},"Order":{"type":"object","properties":{"id":{"type":"string"},"reference":{"type":"string"},"paymentType":{"type":"string"},"total":{"type":"string"},"music&videoItemInfo":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"duration":{"type":"string"},"size":{"type":"string"}}},"ticketInfo":{"type":"object","properties":{"id":{"type":"string"},"noOfTickets":{"type":"number"},"dateTime":{"type":"string"},"location":{"type":"string"},"seats":{"type":"string"},"qrCode":{"type":"string"}}},"slotInfo":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"},"dateTime":{"type":"string"}}}}},"OrderResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/Order"}}},"OrderCreateRequest":{"type":"object","properties":{"total":{"type":"string"},"musiAndVideoItemInfo":{"type":"object"},"ticketInfo":{"type":"object"},"slotInfo":{"type":"object"}}},"OrderUpdateRequest":{"type":"object","properties":{"grandTotal":{"type":"string"},"paymentMethod":{"type":"string"}}},"Ticket":{"type":"object","properties":{"id":{"type":"string"},"noOfTickets":{"type":"number"},"seats":{"type":"number"},"dateTime":{"type":"string"},"location":{"type":"string"},"qrCode":{"type":"string"},"showDetails":{"type":"object","properties":{"id":{"type":"string"},"titile":{"type":"string"},"thumbnail":{"type":"string"}}}}},"Cart":{"type":"object","properties":{"userId":{"type":"string"},"count":{"type":"number"},"items":{"type":"array","items":{"$ref":"#/components/schemas/SimplifiedItem"}}}},"CartUpdateRequest":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SimplifiedItem"}}}},"CartResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"$ref":"#/components/schemas/Cart"}}},"LikesResponse":{"type":"object","properties":{"likesCount":{"type":"integer"},"hasMorePages":{"type":"boolean"},"creator":{"type":"array","items":{"$ref":"#/components/schemas/SimplifiedUser"}}}},"Comments":{"type":"object","required":["commentId"],"properties":{"commentId":{"type":"string"},"commentType":{"type":"string"},"message":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"postId":{"type":"string"},"hasMorePages":{"type":"boolean"},"creator":{"type":"object","properties":{"creatorId":{"type":"string"},"creatorName":{"type":"string"},"creatorThumbnail":{"type":"string"}}}}},"CommentRequest":{"type":"object","properties":{"commentType":{"type":"string"},"message":{"type":"string"}}},"CommentResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"commentsArray":{"type":"array","items":{"$ref":"#/components/schemas/Comments"}}}}}},"App":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"osVersion":{"type":"string"},"appVersion":{"type":"string"},"buildNumber":{"type":"string"},"majorUpdate":{"type":"boolean"},"minorUpdate":{"type":"boolean"},"tabConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/ViewConfiguration"}},"drawerConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/ViewConfiguration"}}}},"AppResponse":{"type":"object","required":[""],"properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"id":{"type":"string"},"latestAppVersion":{"type":"string"},"buildNumber":{"type":"string"},"majorUpdate":{"type":"boolean"},"minorUpdate":{"type":"boolean"},"tabConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/ViewConfiguration"}},"drawerConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/ViewConfiguration"}}}}}},"ViewConfiguration":{"type":"array","items":{"type":"object","properties":{"displayName":{"type":"string"},"itemType":{"type":"string"}}}},"ConfigurationResponse":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object","properties":{"tabConfiguration":{"$ref":"#/components/schemas/ViewConfiguration"},"drawerConfiguration":{"$ref":"#/components/schemas/ViewConfiguration"}}}}},"LikedStatusRequest":{"type":"object","properties":{"postId":{"type":"string"},"liked":{"type":"boolean"}}},"Message":{"type":"object","required":["id"],"properties":{"messageId":{"type":"string"},"sentTime":{"type":"string"},"data":{"type":"string"},"media":{"type":"string"}}},"MessageRequest":{"type":"object","properties":{"data":{"type":"string"},"media":{"type":"string"}}},"Chat":{"type":"object","required":["id"],"properties":{"chatId":{"type":"string"},"sender":{"$ref":"#/components/schemas/SimplifiedUser"},"reciever":{"$ref":"#/components/schemas/SimplifiedUser"},"message":{"$ref":"#/components/schemas/Message"},"stats":{"type":"object","properties":{"muteNotifications":{"type":"boolean"},"onlineStatus":{"type":"boolean"}}}}},"error":{"type":"object","required":["statusCode","message"],"properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object"}}},"success":{"type":"object","required":["statusCode","message"],"properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"payload":{"type":"object"}}}},"requestBodies":{"NotificationStatus":{"description":"Notification on or off status of a post given by id","content":{"application/json":{"schema":{"type":"object","properties":{"postId":{"type":"string"},"notificationStatus":{"type":"boolean"}}}}}},"deviceToken":{"description":"Send the deviceToken to user or update deviceToken","content":{"application/json":{"schema":{"type":"object","properties":{"deviceToken":{"type":"string"}}}}}},"commentRequest":{"description":"Details about a comment sent in post comments","content":{"application/json":{"schema":{"type":"object","properties":{"commentId":{"type":"string"},"message":{"type":"string"},"creatorData":{"type":"object"},"createdTime":{"type":"string","format":"date-time"},"parentPostId":{"type":"string"},"likesCount":{"type":"integer"},"commentsCount":{"type":"integer"},"alreadyLiked":{"type":"boolean"}}}}}}},"responses":{"NotFound":{"description":"Entity not found."},"IllegalInput":{"description":"Illegal input for operation."},"GeneralError":{"description":"General Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"}}}},"GeneralSuccess":{"description":"General Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/success"}}}}},"parameters":{"userId":{"name":"userId","in":"path","description":"Unique Id of an user","required":true,"schema":{"type":"string"}},"postId":{"name":"postId","in":"path","description":"Unique Id of a post","required":true,"schema":{"type":"string"}}}}}